
package cdpp_irap.impex.v0;

import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cdpp_irap.impex.v0 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetStatusResponse_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getStatusResponse");
    private final static QName _GetParameterListResponse_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getParameterListResponse");
    private final static QName _Alive_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "alive");
    private final static QName _GetTimeTablesListResponse_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getTimeTablesListResponse");
    private final static QName _GetTimeTablesList_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getTimeTablesList");
    private final static QName _GetPlotResponse_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getPlotResponse");
    private final static QName _GetStatus_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getStatus");
    private final static QName _GetParameterList_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getParameterList");
    private final static QName _GetDataset_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getDataset");
    private final static QName _GetTimeTable_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getTimeTable");
    private final static QName _GetPlot_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getPlot");
    private final static QName _GetOrbitesResponse_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getOrbitesResponse");
    private final static QName _GetTimeTableResponse_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getTimeTableResponse");
    private final static QName _GetObsDataTreeResponse_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getObsDataTreeResponse");
    private final static QName _GetParameterResponse_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getParameterResponse");
    private final static QName _GetDatasetResponse_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getDatasetResponse");
    private final static QName _GetOrbites_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getOrbites");
    private final static QName _GetParameter_QNAME = new QName("http://cdpp-irap/IMPEX/v0.1", "getParameter");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cdpp_irap.impex.v0
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetStatusResponse }
     * 
     */
    public GetStatusResponse createGetStatusResponse() {
        return new GetStatusResponse();
    }

    /**
     * Create an instance of {@link GetParameterListResponse }
     * 
     */
    public GetParameterListResponse createGetParameterListResponse() {
        return new GetParameterListResponse();
    }

    /**
     * Create an instance of {@link GetTimeTablesList }
     * 
     */
    public GetTimeTablesList createGetTimeTablesList() {
        return new GetTimeTablesList();
    }

    /**
     * Create an instance of {@link GetTimeTablesListResponse }
     * 
     */
    public GetTimeTablesListResponse createGetTimeTablesListResponse() {
        return new GetTimeTablesListResponse();
    }

    /**
     * Create an instance of {@link GetPlotResponse }
     * 
     */
    public GetPlotResponse createGetPlotResponse() {
        return new GetPlotResponse();
    }

    /**
     * Create an instance of {@link EmptyElement }
     * 
     */
    public EmptyElement createEmptyElement() {
        return new EmptyElement();
    }

    /**
     * Create an instance of {@link GetStatus }
     * 
     */
    public GetStatus createGetStatus() {
        return new GetStatus();
    }

    /**
     * Create an instance of {@link GetParameterList }
     * 
     */
    public GetParameterList createGetParameterList() {
        return new GetParameterList();
    }

    /**
     * Create an instance of {@link GetDataset }
     * 
     */
    public GetDataset createGetDataset() {
        return new GetDataset();
    }

    /**
     * Create an instance of {@link GetTimeTable }
     * 
     */
    public GetTimeTable createGetTimeTable() {
        return new GetTimeTable();
    }

    /**
     * Create an instance of {@link EmptyAlive }
     * 
     */
    public EmptyAlive createEmptyAlive() {
        return new EmptyAlive();
    }

    /**
     * Create an instance of {@link GetPlot }
     * 
     */
    public GetPlot createGetPlot() {
        return new GetPlot();
    }

    /**
     * Create an instance of {@link GetOrbitesResponse }
     * 
     */
    public GetOrbitesResponse createGetOrbitesResponse() {
        return new GetOrbitesResponse();
    }

    /**
     * Create an instance of {@link GetObsDataTreeResponse }
     * 
     */
    public GetObsDataTreeResponse createGetObsDataTreeResponse() {
        return new GetObsDataTreeResponse();
    }

    /**
     * Create an instance of {@link GetTimeTableResponse }
     * 
     */
    public GetTimeTableResponse createGetTimeTableResponse() {
        return new GetTimeTableResponse();
    }

    /**
     * Create an instance of {@link GetParameterResponse }
     * 
     */
    public GetParameterResponse createGetParameterResponse() {
        return new GetParameterResponse();
    }

    /**
     * Create an instance of {@link GetDatasetResponse }
     * 
     */
    public GetDatasetResponse createGetDatasetResponse() {
        return new GetDatasetResponse();
    }

    /**
     * Create an instance of {@link GetOrbites }
     * 
     */
    public GetOrbites createGetOrbites() {
        return new GetOrbites();
    }

    /**
     * Create an instance of {@link GetParameter }
     * 
     */
    public GetParameter createGetParameter() {
        return new GetParameter();
    }

    /**
     * Create an instance of {@link WorkSpace }
     * 
     */
    public WorkSpace createWorkSpace() {
        return new WorkSpace();
    }

    /**
     * Create an instance of {@link ParameterList }
     * 
     */
    public ParameterList createParameterList() {
        return new ParameterList();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStatusResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getStatusResponse")
    public JAXBElement<GetStatusResponse> createGetStatusResponse(GetStatusResponse value) {
        return new JAXBElement<GetStatusResponse>(_GetStatusResponse_QNAME, GetStatusResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetParameterListResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getParameterListResponse")
    public JAXBElement<GetParameterListResponse> createGetParameterListResponse(GetParameterListResponse value) {
        return new JAXBElement<GetParameterListResponse>(_GetParameterListResponse_QNAME, GetParameterListResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "alive")
    public JAXBElement<Boolean> createAlive(Boolean value) {
        return new JAXBElement<Boolean>(_Alive_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTimeTablesListResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getTimeTablesListResponse")
    public JAXBElement<GetTimeTablesListResponse> createGetTimeTablesListResponse(GetTimeTablesListResponse value) {
        return new JAXBElement<GetTimeTablesListResponse>(_GetTimeTablesListResponse_QNAME, GetTimeTablesListResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTimeTablesList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getTimeTablesList")
    public JAXBElement<GetTimeTablesList> createGetTimeTablesList(GetTimeTablesList value) {
        return new JAXBElement<GetTimeTablesList>(_GetTimeTablesList_QNAME, GetTimeTablesList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPlotResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getPlotResponse")
    public JAXBElement<GetPlotResponse> createGetPlotResponse(GetPlotResponse value) {
        return new JAXBElement<GetPlotResponse>(_GetPlotResponse_QNAME, GetPlotResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStatus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getStatus")
    public JAXBElement<GetStatus> createGetStatus(GetStatus value) {
        return new JAXBElement<GetStatus>(_GetStatus_QNAME, GetStatus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getParameterList")
    public JAXBElement<GetParameterList> createGetParameterList(GetParameterList value) {
        return new JAXBElement<GetParameterList>(_GetParameterList_QNAME, GetParameterList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDataset }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getDataset")
    public JAXBElement<GetDataset> createGetDataset(GetDataset value) {
        return new JAXBElement<GetDataset>(_GetDataset_QNAME, GetDataset.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTimeTable }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getTimeTable")
    public JAXBElement<GetTimeTable> createGetTimeTable(GetTimeTable value) {
        return new JAXBElement<GetTimeTable>(_GetTimeTable_QNAME, GetTimeTable.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPlot }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getPlot")
    public JAXBElement<GetPlot> createGetPlot(GetPlot value) {
        return new JAXBElement<GetPlot>(_GetPlot_QNAME, GetPlot.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetOrbitesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getOrbitesResponse")
    public JAXBElement<GetOrbitesResponse> createGetOrbitesResponse(GetOrbitesResponse value) {
        return new JAXBElement<GetOrbitesResponse>(_GetOrbitesResponse_QNAME, GetOrbitesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTimeTableResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getTimeTableResponse")
    public JAXBElement<GetTimeTableResponse> createGetTimeTableResponse(GetTimeTableResponse value) {
        return new JAXBElement<GetTimeTableResponse>(_GetTimeTableResponse_QNAME, GetTimeTableResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetObsDataTreeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getObsDataTreeResponse")
    public JAXBElement<GetObsDataTreeResponse> createGetObsDataTreeResponse(GetObsDataTreeResponse value) {
        return new JAXBElement<GetObsDataTreeResponse>(_GetObsDataTreeResponse_QNAME, GetObsDataTreeResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetParameterResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getParameterResponse")
    public JAXBElement<GetParameterResponse> createGetParameterResponse(GetParameterResponse value) {
        return new JAXBElement<GetParameterResponse>(_GetParameterResponse_QNAME, GetParameterResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDatasetResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getDatasetResponse")
    public JAXBElement<GetDatasetResponse> createGetDatasetResponse(GetDatasetResponse value) {
        return new JAXBElement<GetDatasetResponse>(_GetDatasetResponse_QNAME, GetDatasetResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetOrbites }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getOrbites")
    public JAXBElement<GetOrbites> createGetOrbites(GetOrbites value) {
        return new JAXBElement<GetOrbites>(_GetOrbites_QNAME, GetOrbites.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetParameter }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://cdpp-irap/IMPEX/v0.1", name = "getParameter")
    public JAXBElement<GetParameter> createGetParameter(GetParameter value) {
        return new JAXBElement<GetParameter>(_GetParameter_QNAME, GetParameter.class, null, value);
    }

}
